
From: "Prof. BJ" <prof.bj@freemail.hu>

- m8xx_setup warning and mfmsr error fix
- ppc8xx_pic include error fix
- tqm8xxl.c typeing (syntax) error fix
- commproc.c include error and prototype warning fix


---

 25-akpm/arch/ppc/8xx_io/commproc.c   |    4 ++--
 25-akpm/arch/ppc/syslib/m8xx_setup.c |    7 +++----
 25-akpm/arch/ppc/syslib/ppc8xx_pic.h |    1 +
 25-akpm/drivers/mtd/maps/tqm8xxl.c   |    2 +-
 4 files changed, 7 insertions(+), 7 deletions(-)

diff -puN arch/ppc/8xx_io/commproc.c~kernel_ppc8xx_misc arch/ppc/8xx_io/commproc.c
--- 25/arch/ppc/8xx_io/commproc.c~kernel_ppc8xx_misc	2004-04-22 01:56:58.145988936 -0700
+++ 25-akpm/arch/ppc/8xx_io/commproc.c	2004-04-22 01:56:58.154987568 -0700
@@ -33,6 +33,7 @@
 #include <asm/pgtable.h>
 #include <asm/8xx_immap.h>
 #include <asm/commproc.h>
+#include <asm/io.h>
 
 extern int get_pteptr(struct mm_struct *mm, unsigned long addr, pte_t **ptep);
 
@@ -55,11 +56,10 @@ static	void	alloc_host_memory(void);
 
 #if 1
 void
-m8xx_cpm_reset()
+m8xx_cpm_reset(void)
 {
 	volatile immap_t	 *imp;
 	volatile cpm8xx_t	*commproc;
-	pte_t			*pte;
 
 	imp = (immap_t *)IMAP_ADDR;
 	commproc = (cpm8xx_t *)&imp->im_cpm;
diff -puN arch/ppc/syslib/m8xx_setup.c~kernel_ppc8xx_misc arch/ppc/syslib/m8xx_setup.c
--- 25/arch/ppc/syslib/m8xx_setup.c~kernel_ppc8xx_misc	2004-04-22 01:56:58.147988632 -0700
+++ 25-akpm/arch/ppc/syslib/m8xx_setup.c	2004-04-22 01:56:58.153987720 -0700
@@ -214,14 +214,13 @@ static void
 m8xx_restart(char *cmd)
 {
 	__volatile__ unsigned char dummy;
-	uint	msr;
 
 	cli();
 	((immap_t *)IMAP_ADDR)->im_clkrst.car_plprcr |= 0x00000080;
 
 	/* Clear the ME bit in MSR to cause checkstop on machine check
 	*/
-	mtmsr(mfmsr(msr) & ~0x1000);
+	mtmsr(mfmsr() & ~0x1000);
 
 	dummy = ((immap_t *)IMAP_ADDR)->im_clkrst.res[0];
 	printk("Restart failed\n");
@@ -248,8 +247,8 @@ m8xx_show_percpuinfo(struct seq_file *m,
 
 	bp = (bd_t *)__res;
 
-	seq_printf(m, "clock\t\t: %dMHz\n"
-		   "bus clock\t: %dMHz\n",
+	seq_printf(m, "clock\t\t: %ldMHz\n"
+		   "bus clock\t: %ldMHz\n",
 		   bp->bi_intfreq / 1000000,
 		   bp->bi_busfreq / 1000000);
 
diff -puN arch/ppc/syslib/ppc8xx_pic.h~kernel_ppc8xx_misc arch/ppc/syslib/ppc8xx_pic.h
--- 25/arch/ppc/syslib/ppc8xx_pic.h~kernel_ppc8xx_misc	2004-04-22 01:56:58.148988480 -0700
+++ 25-akpm/arch/ppc/syslib/ppc8xx_pic.h	2004-04-22 01:56:58.153987720 -0700
@@ -3,6 +3,7 @@
 
 #include <linux/config.h>
 #include <linux/irq.h>
+#include <linux/interrupt.h>
 
 extern struct hw_interrupt_type ppc8xx_pic;
 
diff -puN drivers/mtd/maps/tqm8xxl.c~kernel_ppc8xx_misc drivers/mtd/maps/tqm8xxl.c
--- 25/drivers/mtd/maps/tqm8xxl.c~kernel_ppc8xx_misc	2004-04-22 01:56:58.149988328 -0700
+++ 25-akpm/drivers/mtd/maps/tqm8xxl.c	2004-04-22 01:56:58.154987568 -0700
@@ -105,7 +105,7 @@ static struct mtd_partition tqm8xxl_fs_p
 	  .name = "jffs",
 	  .offset = 0x00200000,
 	  .size = 0x00200000,
-	  .//size = MTDPART_SIZ_FULL,
+	  //.size = MTDPART_SIZ_FULL,
 	}
 };
 #endif

_
